scala.tools.nsc.transform.PostErasure

# elimErasedValueType

#### object elimErasedValueType extends Global.TypeMap

Linear Supertypes
Global.TypeMap, (Global.Type) ⇒ Global.Type, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. elimErasedValueType
2. TypeMap
3. Function1
4. AnyRef
5. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### class TypeMapTransformer extends reflect.internal.SymbolTable.Transformer

   Definition Classes
     TypeMap

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### def andThen[A](g: (Global.Type) ⇒ A): (Global.Type) ⇒ A

   Definition Classes
     Function1
   Annotations
     @unspecialized()

7. #### def apply(tp: Global.Type): Global.Type

   Definition Classes
     elimErasedValueType → TypeMap → Function1

8. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### def compose[A](g: (A) ⇒ Global.Type): (A) ⇒ Global.Type

    Definition Classes
      Function1
    Annotations
      @unspecialized()

11. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

12. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

13. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

14. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

15. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

16. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

17. #### def mapOver(tree: Global.Tree, giveup: () ⇒ Nothing): Global.Tree

    Definition Classes
      TypeMap

18. #### def mapOver(tree: Global.Tree): Global.Tree

    Definition Classes
      TypeMap

19. #### def mapOver(annot: Global.AnnotationInfo): Global.AnnotationInfo

    Definition Classes
      TypeMap

20. #### def mapOver(origSyms: List[Global.Symbol]): List[Global.Symbol]

    Definition Classes
      TypeMap

21. #### def mapOver(scope: Global.Scope): Global.Scope

    Definition Classes
      TypeMap

22. #### def mapOver(tp: Global.Type): Global.Type

    Definition Classes
      TypeMap

23. #### def mapOverAnnotArgs(args: List[Global.Tree]): List[Global.Tree]

    Definition Classes
      TypeMap

24. #### def mapOverAnnotations(annots: List[Global.AnnotationInfo]): List[Global.AnnotationInfo]

    Definition Classes
      TypeMap

25. #### def mapOverArgs(args: List[Global.Type], tparams: List[Global.Symbol]): List[Global.Type]

    Attributes
      protected
    Definition Classes
      TypeMap

26. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

27. #### def noChangeToSymbols(origSyms: List[Global.Symbol]): Boolean

    Attributes
      protected
    Definition Classes
      TypeMap

28. #### final def notify(): Unit

    Definition Classes
      AnyRef

29. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

30. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

31. #### def toString(): String

    Definition Classes
      Function1 → AnyRef → Any

32. #### def variance: Int

    Definition Classes
      TypeMap

33. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

35. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Global.TypeMap

### Inherited from (Global.Type) ⇒ Global.Type

### Inherited from AnyRef

### Inherited from Any

### Ungrouped